Last Comment Bug 706090 - IndexedDB: OpenDatabaseHelper can release atoms off the main thread.
: IndexedDB: OpenDatabaseHelper can release atoms off the main thread.
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Kyle Huey [:khuey] (khuey@mozilla.com)
:
Mentors:
Depends on:
Blocks: idb
  Show dependency treegraph
 
Reported: 2011-11-29 06:09 PST by Kyle Huey [:khuey] (khuey@mozilla.com)
Modified: 2012-03-22 11:54 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Patch (582 bytes, patch)
2011-11-29 06:09 PST, Kyle Huey [:khuey] (khuey@mozilla.com)
bent.mozilla: review+
Details | Diff | Splinter Review
Patch (590 bytes, patch)
2011-11-29 10:19 PST, Kyle Huey [:khuey] (khuey@mozilla.com)
khuey: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-29 06:09:53 PST
Created attachment 577589 [details] [diff] [review]
Patch
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-29 10:19:29 PST
Created attachment 577657 [details] [diff] [review]
Patch
Comment 2 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-29 10:20:06 PST
Comment on attachment 577657 [details] [diff] [review]
Patch

We'll want this on Aurora to prevent refcounting atoms on the wrong thread.
Comment 3 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-29 10:42:21 PST
https://hg.mozilla.org/mozilla-central/rev/d2e339b47f0f
Comment 4 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-12-16 05:45:27 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/ca95ccbc8194
Comment 5 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-28 13:37:33 PST
Is this something QA can verify?
Comment 6 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-12-28 13:40:54 PST
Not really, the bug was intermittent at best.

Note You need to log in before you can comment on or make changes to this bug.